<?php
 define("WEB_EOL","<br/>");
 // Variables à conserver dans les cookies
 $Nom    = "Dupont" ;
 $Prenom = "Jean"   ;
 $Age    = 22       ;
 // Calcul de l'horodatage (fin de vie des cookies)
 $DureeEnSecondes=365*24*3600; // 1 an
 $Horodatage=time()+$DureeEnSecondes;
 // Création des cookies
 setcookie('Personne[Nom]',$Nom,$Horodatage);
 setcookie('Personne[Prenom]',$Prenom,$Horodatage);
 setcookie('Personne[Age]',$Age,$Horodatage);
 setcookie('Personne[Horodatage]',$Horodatage,$Horodatage);
 ?> 
 <!DOCTYPE html>
 <html>
  <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Gestion des cookies</title>
  </head>
  <body>
  <?php
  echo "Cookies positionn&eacute;s pour  : ".WEB_EOL;
  echo "$Nom - $Prenom - $Age ans".WEB_EOL;
  echo "Horodatage : ".$Horodatage.WEB_EOL;
  ?>
 </body>
</html>
